LADSPALIST(1)

NAME
ladspalist - find LADSPA plugins info for use by SuperCollider

SYNOPSIS
ladspalist

USAGE
ladspalist | less

DESCRIPTION
The LADSPA UGen lets you run any LADSPA plugin inside SuperCollider. Run the ladspalist utility in a shell to find the info about the plugin you want.

For example, glame lowpass iir with ID 1891:

  # 1891 Glame Lowpass Filter
  > k: Cutoff Frequency (0.0001 to 0.45)
  > k: Stages(2 poles per stage) (1 to 10)
  > a: Input
  < a: Output

The meaning of the first two characters for each port are:

  '>' - input
  '<' - output
  'k' - controlrate
  'a' - audiorate

Use it in SuperCollider:

  play{
    LADSPA.ar(
      1, 1891,
      1000+LFNoise1.kr(10, 800),
      2, WhiteNoise.ar(1!2)
    )
  }

Note that the first arg is the number of output audio channels, then the UniqueID, the rest is all the inputs in the same order as shown in ladspalist. Currently, controlrate outputs are ignored.

If the plugin doesn't provide the requested number of channels, the extra channels will be silenced.

If the plugin provides more than requested number of channels, the extra channels will be ignored.

WARNING
Some LADSPA plugins might not be real-time safe, if they allocate memory at initialization.

SEE ALSO
scsynth(1), /usr/share/doc/supercollider-server

AUTHOR
This manual page was written by Hanno Zulla <kontakt@hanno.de> for the Debian GNU/Linux system (but may be used by others). The text was copied from a description written by Jonatan Liljedahl <lijon@kymatica.com>.